// sysexInterface.h : Declaration of the CsysexInterface

#ifndef __SYSEXINTERFACE_H_
#define __SYSEXINTERFACE_H_

#include "resource.h"       // main symbols

/////////////////////////////////////////////////////////////////////////////
// CsysexInterface
class ATL_NO_VTABLE CsysexInterface : 
	public CComObjectRootEx<CComSingleThreadModel>,
	public CComCoClass<CsysexInterface, &CLSID_sysexInterface>,
	public ISupportErrorInfo,
	public IDispatchImpl<IsysexInterface, &IID_IsysexInterface, &LIBID_SYSEXSERVERLib>
{
public:
	CsysexInterface()
	{
	}

DECLARE_REGISTRY_RESOURCEID(IDR_SYSEXINTERFACE)

DECLARE_PROTECT_FINAL_CONSTRUCT()

BEGIN_COM_MAP(CsysexInterface)
	COM_INTERFACE_ENTRY(IsysexInterface)
	COM_INTERFACE_ENTRY(IDispatch)
	COM_INTERFACE_ENTRY(ISupportErrorInfo)
END_COM_MAP()

// ISupportsErrorInfo
	STDMETHOD(InterfaceSupportsErrorInfo)(REFIID riid);

// IsysexInterface
public:
	STDMETHOD(OpenFile)(/*[in]*/ BSTR bstrFile, /*[out,retval]*/ VARIANT_BOOL* pbSuccess);
};

#endif //__SYSEXINTERFACE_H_
